# -*- encoding : utf-8 -*-
	class Public::LabelProduitsController < ApplicationController
	
	
	layout "public"

  def importold
    
    require 'roo'

    @xlsx = Roo::Spreadsheet.open("#{Rails.root}/import_label/label.xlsx")
    #xlsx = Roo::Excelx.new("./new_prices.xlsx")

    # Use the extension option if the extension is ambiguous.
    #xlsx = Roo::Spreadsheet.open('./rails_temp_upload', extension: :xlsx)

    @xlsx.info
    @sheet = @xlsx.sheet(0)
    
  end

	def index
    
    
    per_page = (params[:per_page] and params[:per_page] != "") ? params[:per_page] : 50
    		page = (params[:page] and params[:page] != "") ? params[:page] : 1 
    
    
    
    
    @label_produits = LabelProduit.order("label_produits.name ASC")
    if params[:search]
      
      if params[:label_category_id] and params[:label_category_id] != ""
        @label_produits = @label_produits.where(:label_category_id => params[:label_category_id])
      end
      
      if params[:couleur_logo] and params[:couleur_logo] != ""
        @label_produits = @label_produits.where(:couleur_logo => params[:couleur_logo])
      end
      
      if params[:label_marque_id] and params[:label_marque_id] != ""
        @label_produits = @label_produits.where(:label_marque_id => params[:label_marque_id])
      end
      
      if params[:label_famille_id] and params[:label_famille_id] != ""
        @label_produits = @label_produits.joins(:label_category).where("label_categories.label_famille_id = ?", params[:label_famille_id])
      end
      
      if params[:label_entreprise_id] and params[:label_entreprise_id] != ""
        @label_produits = @label_produits.joins(:label_marque).where("label_marques.label_entreprise_id = ?", params[:label_entreprise_id])
      end
      
      if params[:label_distributeur_id] and params[:label_distributeur_id] != ""
        @label_produits = @label_produits.joins(:label_distributeurs).where("label_distributeurs.id = ?", params[:label_distributeur_id])
      end
      
      if params[:q]
    
        @label_produits = @label_produits.joins(:label_marque).where("label_produits.name LIKE ? or label_marques.name LIKE ? ", "%"+params[:q].to_s+"%", "%"+params[:q].to_s+"%" )

     
      end
      
      if params[:label_marque_id] and params[:label_marque_id] != ""
        @label_marque = LabelMarque.find(params[:label_marque_id])
      end
    else
      @label_produits = LabelProduit.order("name ASC")
      
    end
    
    @label_produits = @label_produits.order("label_produits.name ASC").page(page).per(per_page)
	end

end
